# line21decoder

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseTransform
                        ╰──GstVideoFilter
                            ╰──line21decoder

## Factory details

Authors: – Edward Hervey <edward></edward>

Classification: – `Filter/Video/ClosedCaption`

Rank – none

Plugin – closedcaption

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    video/x-raw:
             format: { I420, YUY2, YVYU, UYVY, VYUY, v210 }

Presence – always

Direction – sink

Object type – GstPad

### `src`

    video/x-raw:
             format: { I420, YUY2, YVYU, UYVY, VYUY, v210 }

Presence – always

Direction – src

Object type – GstPad

## Properties

### mode

    “mode” Line21decoder-mode *

Control whether and how detected CC meta should be inserted in the list of existing CC meta on a frame (if any).

Flags : Read / Write

Default value : add (0)

Since : 1.20

### ntsc-only

    “ntsc-only” gboolean

Whether line 21 decoding should only be attempted when the input resolution matches NTSC (720 x 525) or NTSC usable lines (720 x 486)

Flags : Read / Write

Default value : false

Since : 1.20

## Named constants

### Line21decoder-mode

#### Members

`add` (0) – add new CC meta on top of other CC meta, if any
`drop` (1) – ignore CC if a CC meta was already present
`replace` (2) – replace existing CC meta

Since : 1.20

The results of the search are